light-mode-image
Learn
API ReferenceStatus update

Update mDoc status

Roles

adminissuermanaged-issuer

Analytics Events

MOBILE_CREDENTIAL_STATUS_SET_STARTMOBILE_CREDENTIAL_STATUS_SET_SUCCESSMOBILE_CREDENTIAL_STATUS_SET_FAIL
POST/v2/credentials/mobile/{credentialId}/status

Sets the status of an existing mDoc by providing its credentialId and the new status.

Available status values depend on the Status List configuration format:

Draft 14 of the IETF Token Status List specification (1-bit encoding):

  • valid - Credential is valid
  • invalid - Credential is invalid (cannot be reversed)

Deprecated Legacy format (2-bit encoding):

  • valid - Credential is valid
  • invalid - Credential is invalid (cannot be reversed)
  • suspended - Credential is temporarily suspended

The suspended status is deprecated and only available in legacy format.

Analytic events

  • MOBILE_CREDENTIAL_STATUS_SET_START
  • MOBILE_CREDENTIAL_STATUS_SET_SUCCESS
  • MOBILE_CREDENTIAL_STATUS_SET_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

credentialId*string

mDoc identifier

Formatuuid

Request Body

application/json

Credential status payload

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v2/credentials/mobile/497f6eca-6276-4993-bfeb-53cbbbba6f08/status" \  -H "Content-Type: application/json" \  -d '{    "status": "valid"  }'
{  "status": "valid"}

How would you rate this page?